linux: 2.6.32-44.98 -proposed tracker

Bug #1055438 reported by Luis Henriques on 2012-09-24
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Prepare-package-ports-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.32-44.98 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 24. September 2012 11:12 UTC
kernel-stable-Prepare-package-end:Tuesday, 25. September 2012 10:17 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 25. September 2012 10:17 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 26. September 2012 22:45 UTC
kernel-stable-Verification-testing-start:Wednesday, 26. September 2012 23:46 UTC
kernel-stable-Verification-testing-end:Monday, 01. October 2012 18:15 UTC
kernel-stable-Certification-testing-start:Monday, 01. October 2012 18:15 UTC
kernel-stable-Security-signoff-start:Monday, 01. October 2012 18:15 UTC
kernel-stable-Regression-testing-start:Monday, 01. October 2012 18:15 UTC
kernel-stable-Security-signoff-end:Tuesday, 02. October 2012 09:30 UTC
kernel-stable-Regression-testing-end:Wednesday, 03. October 2012 16:45 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 10. October 2012 08:00 UTC
kernel-stable-Certification-testing-end:Wednesday, 10. October 2012 08:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 11. October 2012 05:15 UTC
kernel-stable-Promote-to-updates-end:Thursday, 11. October 2012 05:15 UTC

CVE References

Luis Henriques (henrix) on 2012-09-24
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1056081

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2012-09-26
description: updated
Brad Figg (brad-figg) on 2012-09-26
description: updated
Brad Figg (brad-figg) on 2012-10-01
description: updated
John Johansen (jjohansen) wrote :

Looks good

The regression-testing task was set to Fix Released but neither the qa-testing-passed or qa-testing-failed tag was applied

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
John Johansen (jjohansen) wrote :

Looks good

Luis Henriques (henrix) wrote :

This task as been incorrectly set as 'fix released'. Fixing it.

Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2012-10-02
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-10-03
description: updated

Hardware Certification have begun testing this -proposed kernel

Luis Henriques (henrix) on 2012-10-04
Changed in linux (Ubuntu):
status: In Progress → Invalid

We believe this is a severe failure on the Dell Studio XPS 13:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1063856

Awaiting the presence of a lab-engineer to debug more.

Hardware Certification have completed testing of the -proposed kernel. After investigating further we believe the issue highlighted above was a one-off occurrence. Apart from that no other issues were found, and the the test report can be viewed at: http://people.canonical.com/~hwcert/sru-testing/wk41_2012/lucid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-10-10
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-44.98

---------------
linux (2.6.32-44.98) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1055438

  [ Dave Airlie ]

  * SAUCE: drm/vmwgfx: add MODULE_DEVICE_TABLE so vmwgfx loads at boot
    - LP: #1039157

  [ Upstream Kernel Changes ]

  * Revert "sfc: Fix maximum number of TSO segments and minimum TX queue
    size"
    - LP: #1037456
    - CVE-2012-3412
  * Revert "sfc: Replace some literal constants with
    EFX_PAGE_SIZE/EFX_BUF_SIZE"
    - LP: #1037456
    - CVE-2012-3412
  * Revert "tcp: Apply device TSO segment limit earlier"
    - LP: #1037456
    - CVE-2012-3412
  * Revert "tcp: do not scale TSO segment size with reordering degree"
    - LP: #1037456
    - CVE-2012-3412
  * Revert "net: Allow driver to limit number of GSO segments per skb"
    - LP: #1037456
    - CVE-2012-3412
  * cred: copy_process() should clear child->replacement_session_keyring
    - LP: #1023535
    - CVE-2012-2745
  * KVM: Change irq routing table to use gsi indexed array
    - LP: #1016298
    - CVE-2012-2137
  * KVM: Fix buffer overflow in kvm_set_irq()
    - LP: #1016298
    - CVE-2012-2137
  * xen: just completely disable XSAVE
    - LP: #1044550
  * xen: Allow PV-OPS kernel to detect whether XSAVE is supported
    - LP: #1044550
  * sfc: Fix maximum number of TSO segments and minimum TX queue size
    - LP: #1037456
    - CVE-2012-3412
 -- Tim Gardner <email address hidden> Thu, 06 Sep 2012 11:20:13 -0400

Changed in linux (Ubuntu Lucid):
status: New → Fix Released
Adam Conrad (adconrad) wrote :

Released to -updates and -security.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers